PLOT(3X)

NAME
plot, openpl, erase, label, line, circle, arc, move, cont, point, linemod, space, closepl - graphics interface

SYNOPSIS
openpl()

erase()

label(s)
char s[];

line(x1, y1, x2, y2)

circle(x, y, r)

arc(x, y, x0, y0, x1, y1)

move(x, y)

cont(x, y)

point(x, y)

linemod(s)
char s[];

space(x0, y0, x1, y1)

closepl()

AVAILABILITY

These routines are available with the Graphics software installation option. Refer to for information on how to install optional software.

DESCRIPTION

These subroutines generate graphic output in a relatively device-independent manner. See plot(5) for a description of their effect. openpl() must be used before any of the others to open the device for writing. closepl() flushes the output.

String arguments to label() and linemod() are null-terminated and do not contain NEWLINE characters.

Various flavors of these functions exist for different output devices. They are obtained by the following ld(1) options:

-lplot
    device-independent graphics stream on standard output for plot(1G) filters

-l300
    GSI 300 terminal

-l300s
    GSI 300S terminal

-l450
    GSI 450 terminal

-l4014
    Tektronix 4014 terminal

-lplotaed
    AED 512 color graphics terminal

-lplotbg
    BBN bitgraph graphics terminal

-lplotdumb
    Dumb terminals without cursor addressing or line printers

-lplotgigi
    DEC Gigi terminals

-lplot2648
    Hewlett Packard 2648 graphics terminal

-lplot7221
    Hewlett Packard 7221 graphics terminal

-lplotimagen
    Imagen laser printer (default 240 dots-per-inch resolution).

FILES
/usr/lib/libplot.a
/usr/lib/lib300.a
/usr/lib/lib300s.a
/usr/lib/lib450.a
/usr/lib/lib4014.a
/usr/lib/libplotaed.a
/usr/lib/libplotbg.a
/usr/lib/libplotdumb.a
/usr/lib/libplotgigi.a
/usr/lib/libplot2648.a
/usr/lib/libplot7221.a
/usr/lib/libplotimagen.a

SEE ALSO
graph(1G), ld(1), plot(1G), plot(5)